Skip to main content
POST
/
contracts
/
{contractId}
/
taxes
Add taxes to contract
curl --request POST \
  --url https://api.getenso.ai/contracts/{contractId}/taxes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "taxes": [
    "tax_1",
    "tax_2"
  ]
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}
Not accessible by SystemUser role. Requires Admin.

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Path Parameters

contractId
string
required

Contract ID

Body

application/json
taxes
string[]
required
Example:
["tax_1", "tax_2"]

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)